import os
import tempfile

import pytest

from cesium_script.geojson.observations import create_configuration

metakernel_abs = None


@pytest.fixture(scope="session", autouse=True)
def setup_spice():
    kernel_home = os.path.abspath(os.path.join(os.path.dirname(__file__), "kernels"))
    # Prepare the temporary metakernel
    mk_temporal = tempfile.NamedTemporaryFile(mode="w", delete=False)
    template = os.path.join(kernel_home, "juice_mini.tm")
    with open(template) as template_file, mk_temporal as mk_file:
        content = template_file.read()
        mk_file.write(content.replace("#HOME#", kernel_home))
    mk_temporal.name


def test_process_obsservation():
    create_configuration([metakernel_abs], "jupiter")
