import os
import tempfile

import pytest
import spiceypy as sp

from cesium_script.czml.scene import generate_czml


@pytest.fixture(scope="session", autouse=True)
def setup_spice():
    kernel_home = os.path.abspath(os.path.join(os.path.dirname(__file__), "kernels"))
    # Prepare the temporary metakernel
    mk_temporal = tempfile.NamedTemporaryFile(mode="w", delete=False)
    template = os.path.join(kernel_home, "juice_mini.tm")
    with open(template) as template_file, mk_temporal as mk_file:
        content = template_file.read()
        mk_file.write(content.replace("#HOME#", kernel_home))

    sp.kclear()
    sp.furnsh(mk_temporal.name)
    print(mk_temporal)


def test_generate_czml():
    start = "2030-10-15T01:00:00Z"
    end = "2030-10-15T02:00:00Z"
    step = 60
    body = "Jupiter"
    generate_czml(start, end, step, body)


def test_generate_czml_no_step():
    start = "2030-10-15T01:00:00Z"
    end = "2030-10-15T02:00:00Z"
    body = "Jupiter"
    generate_czml(start, end, None, body)
